=== modified file 'loggerhead/controllers/inventory_ui.py'
--- loggerhead/controllers/inventory_ui.py	2008-07-23 21:41:49 +0000
+++ loggerhead/controllers/inventory_ui.py	2008-08-06 18:32:32 +0000
@@ -75,6 +75,15 @@
         if updir == '/':
             updir_file_id = None
 
+        # Create breadcrumb trail
+        dir_parts = path.strip('/').split('/')
+        breadcrumbs = []
+        for index, dir_name in enumerate(dir_parts):
+            breadcrumbs.append({
+                'dir_name': dir_name,
+                'file_id': inv.path2id('/'.join(dir_parts[:index + 1])),
+            })
+
         return {
             'branch': self._branch,
             'util': util,
@@ -91,4 +100,5 @@
             'url': self._branch.context_url,
             'start_revid': start_revid,
             'fileview_active': True,
+            'breadcrumbs': breadcrumbs,
         }

=== modified file 'loggerhead/templates/inventory.pt'
--- loggerhead/templates/inventory.pt	2008-08-06 04:20:07 +0000
+++ loggerhead/templates/inventory.pt	2008-08-06 18:32:32 +0000
@@ -21,7 +21,12 @@
         <tal:branch-name replace="branch/friendly_name" />
       </tal:no-link>
       : viewing
-      <span tal:content="path" /> for revision <span tal:content="change/revno"/>
+      <ul tal:repeat="crumb breadcrumbs">
+          <li>
+            <a tal:attributes="href python:url(['/files', change.revno], file_id=crumb['file_id'])" tal:content="crumb/dir_name" />
+          </li>
+      </ul>
+      for revision <span tal:content="change/revno"/>
     </h1>
 
     <div metal:fill-slot="content">

